---
apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: web-cloudnative-zone-gwy
  namespace: istio-system
spec:
  selector:
    istio: ingressgateway # use istio default ingress gateway
  servers:
  - port:
      number: 80
      name: http-cnr
      protocol: HTTP
    tls:
      httpsRedirect: true
    hosts:
    - "web.cloudnative.zone"
  - port:
      number: 443
      name: https-cnr
      protocol: HTTPS
    tls:
      #mode: PASSTHROUGH
      mode: SIMPLE
      credentialName: cloudnative-web-credentials
    hosts:
    - "web.cloudnative.zone"
    
